List all events associated with a specified transaction for a specific customer

This endpoint provides a detailed breakdown of a specified customer's transaction.

The following events are returned by this endpoint:

Path Params
string
required

Unique customer ID. This can be

  • The Antavo customer ID
  • An external ID (requires configuration): {external_field:external_id_value}
string
required

Unique transaction ID

Query Params
string

"The events history can be filtered by submitted event actions using operators. Refer to API events and internal events lists.
This filter query can be used in conjunction with the operators listed here. The filter should be submitted as a parameter in the following format: field.operator(optional)=value.

Filtering of events containing a transaction_id is also possible. This requires the action query to contain all related events and for an additional query using properties.transaction_id.
Example:
action.in=checkout,checkout_accept&properties.transaction_id.in=c078c162-88af-4369-89a4-408958a8cb75.
These combined filters can also use filtering operators.
The transaction_id field in any custom event must be set as filterable."

string

The events history can be filtered by a specific date. Specific start and/or end dates can be stated by using multiple operators. E.g.,

date.gt=2020-01-01&date.lt=2022-02-01

UTC timezone should be considered when sending the request.

integer
Defaults to 0

Offsets the starting number of events to return. This is used in pagination in conjunction with the limit query.

integer
Defaults to 100

Limits the number of events returned in one response. Other values are accessible by pagination made accessible via the offset.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json